# osg::BlendColor::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::BlendColor::Extensions:

[legend]
List of all members.

## Public Member Functions

| Extensions ()
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions ()
void | setBlendColorSupported (bool flag)
bool | isBlendColorSupported () const
void | setBlendColorProc (void *ptr)
void | glBlendColor (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha) const

## Protected Member Functions

| ~Extensions ()

## Protected Attributes

bool | _isBlendColorSupported
void * | _glBlendColor

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

BlendColor::Extensions::Extensions | ( |  | ) |

BlendColor::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::BlendColor::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void BlendColor::Extensions::glBlendColor | ( | GLclampf | red,
|  | GLclampf | green,
|  | GLclampf | blue,
|  | GLclampf | alpha
| ) | const

bool osg::BlendColor::Extensions::isBlendColorSupported | ( |  | ) | const`[inline]`

void BlendColor::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::BlendColor::Extensions::setBlendColorProc | ( | void * | ptr | ) | `[inline]`

void osg::BlendColor::Extensions::setBlendColorSupported | ( | bool | flag | ) | `[inline]`

void BlendColor::Extensions::setupGLExtenions | ( |  | ) |

## Member Data Documentation

void* osg::BlendColor::Extensions::_glBlendColor `[protected]`

bool osg::BlendColor::Extensions::_isBlendColorSupported `[protected]`

The documentation for this class was generated from the following files:

- BlendColor
- BlendColor.cpp